VULKAN_HPP_NAMESPACE::AttachmentReference Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| AttachmentReference (uint32_t attachment_=0, ImageLayout layout_=ImageLayout::eUndefined)
| AttachmentReference (VkAttachmentReference const &rhs)
AttachmentReference & | operator= (VkAttachmentReference const &rhs)
AttachmentReference & | setAttachment (uint32_t attachment_)
AttachmentReference & | setLayout (ImageLayout layout_)
| operator VkAttachmentReference const & () const
| operator VkAttachmentReference & ()
bool | operator== (AttachmentReference const &rhs) const
bool | operator!= (AttachmentReference const &rhs) const

## Data Fields

uint32_t | attachment
ImageLayout | layout

## Detailed Description

Definition at line 7987 of file vulkan.hpp.

## Constructor & Destructor Documentation

## AttachmentReference() [1/2]

VULKAN_HPP_NAMESPACE::AttachmentReference::AttachmentReference | ( | uint32_t | attachment_ = `0`,
|  | ImageLayout | layout_ = `ImageLayout::eUndefined`
| ) |  |

inline

Definition at line 7989 of file vulkan.hpp.

: attachment( attachment_ )
, layout( layout_ )
{
}

## AttachmentReference() [2/2]

VULKAN_HPP_NAMESPACE::AttachmentReference::AttachmentReference | ( | VkAttachmentReference const & | rhs | ) |

inline

Definition at line 7996 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AttachmentReference ) );
}

References memcpy.

## Member Function Documentation

## operator VkAttachmentReference &()

VULKAN_HPP_NAMESPACE::AttachmentReference::operator VkAttachmentReference & | ( |  | ) |

inline

Definition at line 8023 of file vulkan.hpp.

{
return *reinterpret_cast<VkAttachmentReference*>(this);
}

## operator VkAttachmentReference const &()

VULKAN_HPP_NAMESPACE::AttachmentReference::operator VkAttachmentReference const & | ( |  | ) | const

inline

Definition at line 8018 of file vulkan.hpp.

{
return *reinterpret_cast<const VkAttachmentReference*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::AttachmentReference::operator!= | ( | AttachmentReference const & | rhs | ) | const

inline

Definition at line 8034 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

AttachmentReference& VULKAN_HPP_NAMESPACE::AttachmentReference::operator= | ( | VkAttachmentReference const & | rhs | ) |

inline

Definition at line 8001 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AttachmentReference ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::AttachmentReference::operator== | ( | AttachmentReference const & | rhs | ) | const

inline

Definition at line 8028 of file vulkan.hpp.

{
return ( attachment == rhs.attachment )
&& ( layout == rhs.layout );
}

References attachment, and layout.

Referenced by operator!=().

## setAttachment()

AttachmentReference& VULKAN_HPP_NAMESPACE::AttachmentReference::setAttachment | ( | uint32_t | attachment_ | ) |

inline

Definition at line 8006 of file vulkan.hpp.

{
attachment = attachment_;
return *this;
}

## setLayout()

AttachmentReference& VULKAN_HPP_NAMESPACE::AttachmentReference::setLayout | ( | ImageLayout | layout_ | ) |

inline

Definition at line 8012 of file vulkan.hpp.

{
layout = layout_;
return *this;
}

References layout.

## Field Documentation

## attachment

uint32_t VULKAN_HPP_NAMESPACE::AttachmentReference::attachment

Definition at line 8039 of file vulkan.hpp.

Referenced by operator==().

## layout

ImageLayout VULKAN_HPP_NAMESPACE::AttachmentReference::layout

Definition at line 8040 of file vulkan.hpp.

Referenced by operator==(), and setLayout().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkAttachmentReference
Definition: vulkan_core.h:2630
attachment
GLenum attachment
Definition: SDL_opengl_glext.h:1178
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::AttachmentReference::AttachmentReference
AttachmentReference(uint32_t attachment_=0, ImageLayout layout_=ImageLayout::eUndefined)
Definition: vulkan.hpp:7989
VULKAN_HPP_NAMESPACE::AttachmentReference::layout
ImageLayout layout
Definition: vulkan.hpp:8040
VULKAN_HPP_NAMESPACE::AttachmentReference::operator==
bool operator==(AttachmentReference const &rhs) const
Definition: vulkan.hpp:8028
VULKAN_HPP_NAMESPACE::AttachmentReference::attachment
uint32_t attachment
Definition: vulkan.hpp:8039